unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  jpeg, ExtCtrls, ImgList, ComCtrls, ToolWin, Menus;

type
  Tmainform = class(TForm)
    MainMenu1: TMainMenu;
    Administrare1: TMenuItem;
    Testare1: TMenuItem;
    Iesire1: TMenuItem;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ImageList1: TImageList;
    Teste1: TMenuItem;
    Elevi1: TMenuItem;
    Informatii1: TMenuItem;
    Informatii2: TMenuItem;
    Image1: TImage;
    procedure FormShow(Sender: TObject);
    procedure Iesire1Click(Sender: TObject);
    procedure Teste1Click(Sender: TObject);
    procedure Testare1Click(Sender: TObject);
    procedure Elevi1Click(Sender: TObject);
    procedure Informatii2Click(Sender: TObject);
    procedure Informatii1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  mainform: Tmainform;

implementation

uses Unit2, Unit4, Unit5, Unit8, Unit9, Unit3;

{$R *.DFM}

procedure Tmainform.FormShow(Sender: TObject);
begin
form2.show;
form2.SetFocus;
end;

procedure Tmainform.Iesire1Click(Sender: TObject);
begin
mainform.close;
end;

procedure Tmainform.Teste1Click(Sender: TObject);
var s:string;
begin
if InputQuery('Initierea parolei.', 'Introduceti parola:',s) then
 if s='eleonora' then teste.show;
end;

procedure Tmainform.Testare1Click(Sender: TObject);
begin
mainform.enabled:=false;
testare.show;
end;

procedure Tmainform.Elevi1Click(Sender: TObject);
var s:string;
begin
if InputQuery('Initierea parolei.', 'Introduceti parola:',s) then
 if s='eleonora' then elevi.show;
end;

procedure Tmainform.Informatii2Click(Sender: TObject);
begin
dm.info.active:=true;
info.DBMemo1.ReadOnly:=true;
info.show;
end;

procedure Tmainform.Informatii1Click(Sender: TObject);
var s:string;
begin
if InputQuery('Initierea parolei.', 'Introduceti parola:',s) then
 if s='eleonora' then
 begin
 dm.info.active:=true;
 info.DBMemo1.ReadOnly:=false;
 info.Show;
 end;
end;

end.
